Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface ApplicationMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.management.deploy.DeploymentCompatibilityEventManager, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

Deprecated. 9.0.0.0 Replaced by `AppDeploymentMBean`

public interface ApplicationMBean
extends ConfigurationMBean, weblogic.management.deploy.DeploymentCompatibilityEventManager

An application represents a J2EE application contained in an EAR file or EAR directory. The EAR file contains a set of components such as WAR, EJB, and RAR connector components, each of which can be deployed on one or more targets. A target is a server or a cluster. If the application is provided as a standalone module, then this MBean is a synthetic wrapper application only.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

See Also:
  `TargetMBean`, `EJBComponentMBean`, `WebAppComponentMBean`, `ConnectorComponentMBean`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `DEFAULT_STAGE` Deprecated. Indicates that applications deployed to the Admin Server will not be staged, and that the Admin Server does not copy deployment files to Managed Servers.
`static int` | `DEPLOYMENT_TIMEOUT` Deprecated. Default deployment timeout value for two-phase deployments.
`static String` | `EXTERNAL_STAGE` Deprecated. Indicates that the files will be located in the staging directory but that an external application will be responsible for delivering them there.
`static String` | `NO_STAGE` Deprecated. Indicates that the application will not be staged.
`static String` | `STAGE` Deprecated. Indicates that WebLogic Server will stage the application to the staging directory.
`static boolean` | `TWOPHASE_DEFAULT` Deprecated. Default value for for TwoPhase attribute
`static String` | `TYPE_COMPONENT` Deprecated. Application is an archived component/module
`static String` | `TYPE_EAR` Deprecated. Application is an archived EAR
`static String` | `TYPE_EXPLODED_COMPONENT` Deprecated. Application is an unarchived component/module
`static String` | `TYPE_EXPLODED_EAR` Deprecated. Application is an unarchived EAR
`static String` | `TYPE_UNKNOWN` Deprecated. Application is of unknown type - default

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `destroyConnectorComponent(ConnectorComponentMBean connectorComponent)` Deprecated. destroys ConnectorComponents
`void` | `destroyEJBComponent(EJBComponentMBean ejbComponent)` Deprecated. destroys EJBComponents
`void` | `destroyWebServiceComponent(WebServiceComponentMBean webserviceComponent)` Deprecated. destroys WebServiceComponents
`String` | `getAltDescriptorPath()` Deprecated. A path on the file system for the application descriptor for this application.
`String` | `getAltWLSDescriptorPath()` Deprecated. A path on the file system for the WLS-specific application descriptor for this application.
`ComponentMBean[]` | `getComponents()` Deprecated. The J2EE modules (components) that make up this application.
`ConnectorComponentMBean[]` | `getConnectorComponents()` Deprecated. Returns the Connector components that make up this application.
`int` | `getDeploymentTimeout()` Deprecated. 9.0.0.0 Replaced by `DeploymentOptions.getClusterDeploymentTimeout()`
`String` | `getDeploymentType()` Deprecated. Specifies the category of this application.
`EJBComponentMBean[]` | `getEJBComponents()` Deprecated. Returns the EJB components that make up this application.
`int` | `getLoadOrder()` Deprecated. A numerical value that indicates when this module or application is deployed, relative to other deployable modules and applications.
`String` | `getPath()` Deprecated. The URI, located on the Administration Server, of the original source files for this application.
`String[]` | `getStagedTargets()` Deprecated. List of servers on which this application is known to be staged.
`String` | `getStagingMode()` Deprecated. The mode that specifies whether an application's files are copied from a source on the Administration Server to the Managed Server's staging area during application preparation.
`String` | `getStagingPath()` Deprecated. The directory that a Managed Server uses to prepare and activate an application.
`WebServiceComponentMBean[]` | `getWebServiceComponents()` Deprecated. Returns the WebService components that make up this application.
`boolean` | `isTwoPhase()` Deprecated. Always returns true
`ConnectorComponentMBean` | `lookupConnectorComponent(String name)` Deprecated.
`EJBComponentMBean` | `lookupEJBComponent(String name)` Deprecated.
`WebServiceComponentMBean` | `lookupWebServiceComponent(String name)` Deprecated.
`void` | `setAltDescriptorPath(String value)` Deprecated. Sets the value of the StandardDescriptorPath attribute.
`void` | `setAltWLSDescriptorPath(String value)` Deprecated. Sets the value of the WebLogicDescriptorPath attribute.
`void` | `setDeploymentTimeout(int timeInMillis)` Deprecated. 9.0.0.0 Replaced by `DeploymentOptions.setClusterDeploymentTimeout(int)` ()}
`void` | `setDeploymentType(String deploymentType)` Deprecated. Sets the value of the DeploymentType attribute.
`void` | `setLoadOrder(int order)` Deprecated. Sets the value of the LoadOrder attribute.
`void` | `setPath(String path)` Deprecated. Sets the value of the Path attribute.
`void` | `setStagingMode(String mode)` Deprecated. Sets the value of the Staging Mode attribute.
`void` | `setTwoPhase(boolean mode)` Deprecated. Has no effect
`boolean` | `staged(String server)` Deprecated. Convenience method for determining whether this application is currently staged on a particular server.
`boolean` | `stagingEnabled(String server)` Deprecated. Convenience method for determining whether this application is to be staged on a particular server.
`boolean` | `useStagingDirectory(String server)` Deprecated. 9.0.0.0

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.management.deploy.DeploymentCompatibilityEventManager
`addHandler`

Field Detail

### DEFAULT_STAGE

    public static final String DEFAULT_STAGE

  Deprecated.

  Indicates that applications deployed to the Admin Server will not be staged, and that the Admin Server does not copy deployment files to Managed Servers. With this staging mode, Managed Servers are treated as staged, and external application (not the Admin Server) is resonsible for delivering deployment files to the staging directory.

### DEPLOYMENT_TIMEOUT

    public static final int DEPLOYMENT_TIMEOUT

  Deprecated.

  Default deployment timeout value for two-phase deployments. Time is in milliseconds.

  The default timeout should far exceed our worst case expected deployment of a large application to a large number of destinations.

  See Also:
    Constant Field Values

### EXTERNAL_STAGE

    public static final String EXTERNAL_STAGE

  Deprecated.

  Indicates that the files will be located in the staging directory but that an external application will be responsible for delivering them there.

  See Also:
    Constant Field Values

### NO_STAGE

    public static final String NO_STAGE

  Deprecated.

  Indicates that the application will not be staged.

  See Also:
    Constant Field Values

### STAGE

    public static final String STAGE

  Deprecated.

  Indicates that WebLogic Server will stage the application to the staging directory.

  See Also:
    Constant Field Values

### TWOPHASE_DEFAULT

    public static final boolean TWOPHASE_DEFAULT

  Deprecated.
  Default value for for TwoPhase attribute

  See Also:
    Constant Field Values

### TYPE_COMPONENT

    public static final String TYPE_COMPONENT

  Deprecated.
  Application is an archived component/module

### TYPE_EAR

    public static final String TYPE_EAR

  Deprecated.
  Application is an archived EAR

### TYPE_EXPLODED_COMPONENT

    public static final String TYPE_EXPLODED_COMPONENT

  Deprecated.
  Application is an unarchived component/module

### TYPE_EXPLODED_EAR

    public static final String TYPE_EXPLODED_EAR

  Deprecated.
  Application is an unarchived EAR

### TYPE_UNKNOWN

    public static final String TYPE_UNKNOWN

  Deprecated.
  Application is of unknown type - default

Method Detail

### destroyConnectorComponent

    public void destroyConnectorComponent(ConnectorComponentMBean connectorComponent)

  Deprecated.

  destroys ConnectorComponents

  Since:
    9.0.0.0

### destroyEJBComponent

    public void destroyEJBComponent(EJBComponentMBean ejbComponent)

  Deprecated.

  destroys EJBComponents

  Since:
    9.0.0.0

### destroyWebServiceComponent

    public void destroyWebServiceComponent(WebServiceComponentMBean webserviceComponent)

  Deprecated.

  destroys WebServiceComponents

  Since:
    9.0.0.0

### getAltDescriptorPath

    public String getAltDescriptorPath()

  Deprecated.

  A path on the file system for the application descriptor for this application. If null, the usual location within the ear is used (META-INF/application.xml);

  Returns:
    The applicationDescriptorPath value
  Default value:
    null
  A dynamic MBean attribute.

### getAltWLSDescriptorPath

    public String getAltWLSDescriptorPath()

  Deprecated.

  A path on the file system for the WLS-specific application descriptor for this application. If null, the usual location within the EAR file is used (META-INF/weblogic-application.xml);

  Returns:
    The webLogicDescriptorPath value
  Default value:
    null
  A dynamic MBean attribute.

### getComponents

    public ComponentMBean[] getComponents()

  Deprecated.

  The J2EE modules (components) that make up this application.

  Returns:
    The components value

### getConnectorComponents

    public ConnectorComponentMBean[] getConnectorComponents()

  Deprecated.

  Returns the Connector components that make up this application. Components represent the J2EE modules associated with this application.

  Returns:
    The components value

### getDeploymentTimeout

    public int getDeploymentTimeout()

  Deprecated. 9.0.0.0 Replaced by `DeploymentOptions.getClusterDeploymentTimeout()`

  Milliseconds granted for a cluster deployment task on this application. If any deployment tasks remain active for longer, the task will be cancelled.

  The larger the application, the larger the timeout value should be, as the gating factor is associated with download time and processing time required to load the application files.

  A server instance checks for timed out deployments about once a minute.

  Only cluster deployments can be timed out.

  Returns:
    The deploymentTimeout value
  Since:
    7.0.0.0
  Default value:
    ApplicationMBean.DEPLOYMENT_TIMEOUT
  A dynamic MBean attribute.

### getDeploymentType

    public String getDeploymentType()

  Deprecated.

  Specifies the category of this application. This attribute will be derived if not specified in the configuration.

  Returns:
    The deploymentType value
  Since:
    7.0.0.0
  Default value:
    ApplicationMBean.TYPE_UNKNOWN
  Legal values:
    ApplicationMBean.TYPE_EAR,ApplicationMBean.TYPE_EXPLODED_EAR,ApplicationMBean.TYPE_COMPONENT,ApplicationMBean.TYPE_EXPLODED_COMPONENT,ApplicationMBean.TYPE_UNKNOWN
  A dynamic MBean attribute.

### getEJBComponents

    public EJBComponentMBean[] getEJBComponents()

  Deprecated.

  Returns the EJB components that make up this application. Components represent the J2EE modules associated with this application.

  Returns:
    The components value

### getLoadOrder

    public int getLoadOrder()

  Deprecated.

  A numerical value that indicates when this module or application is deployed, relative to other deployable modules and applications. Modules with lower Load Order values are deployed before those with higher values. (Requires that you enable the two-phase deployment protocol.)

  Returns:
    The loadOrder value
  Since:
    7.0.0.0
  See Also:
    `isTwoPhase()`
  Default value:
    100

### getPath

    public String getPath()

  Deprecated.

  The URI, located on the Administration Server, of the original source files for this application.

  Relative paths are based on the root of the Administration Server installation directory. It is highly recommended that you use absolute paths to minimize possible issues when upgrading the server.

  If the application is not being staged (StagingMode==nostage) then the path must be valid on the target server.

  The path to an Enterprise application (EAR) is the location of the EAR file or the root of the EAR if it is unarchived. e.g. Path="myapps/app.ear" is valid. If the application is a standalone module, then the path is the parent directory of the module. For example, if the module is located at myapps/webapp/webapp.war, the Path="myapps/webapp" is correct, whereas Path="myapps/webapp/webapp.war" is incorrect.

  Returns:
    The path value

### getStagedTargets

    public String[] getStagedTargets()

  Deprecated.

  List of servers on which this application is known to be staged. This makes no distinction regarding the version or state of the staged files, just that they are staged. The array returned contains the names of the target servers. This list should not include cluster names.

  Returns:
    The stagedTargets value
  Since:
    7.0.0.0
  A dynamic MBean attribute.
    false

### getStagingMode

    public String getStagingMode()

  Deprecated.

  The mode that specifies whether an application's files are copied from a source on the Administration Server to the Managed Server's staging area during application preparation. Staging mode for an application can only be set the first time the application is deployed. Once staging mode for an application is set, it cannot be changed while the application is configured in the domain. The only way to change staging mode is to undeploy then redeploy the application.

  Staging involves distributing the application files from the Administration Server to the targeted Managed Servers staging directory. This attribute is used to override the Managed Server's StagingMode attribute.

  Returns:
    The stagingMode value
  Since:
    7.0.0.0
  See Also:
    `ServerMBean`
  Legal values:
    ApplicationMBean.DEFAULT_STAGE, ApplicationMBean.NO_STAGE, ApplicationMBean.STAGE, ApplicationMBean.EXTERNAL_STAGE
  A dynamic MBean attribute.

### getStagingPath

    public String getStagingPath()

  Deprecated.

  The directory that a Managed Server uses to prepare and activate an application.

  The directory path is relative to the Managed Server's Staging Path. It is derived from the Path attribute, and depends on whether the application is being staged. If the Path attribute for application, myapp, is foo.ear, the staging path is set to myapp/foo.ear. If the path is C:/myapp.ear, the staging path is myapp/myapp.ear. If the application is not being staged (StagingMode==nostage), then the staging path is the same as the Path attribute. If this application is not being staged, the staging path is equivalent to the source path (Path attribute).

  Returns:
    The stagingPath value
  Since:
    7.0.0.0

### getWebServiceComponents

    public WebServiceComponentMBean[] getWebServiceComponents()

  Deprecated.

  Returns the WebService components that make up this application. Components represent the J2EE modules associated with this application.

  Returns:
    The WebService components value

### isTwoPhase

    public boolean isTwoPhase()

  Deprecated. Always returns true

  Specifies whether this application is deployed using the two-phase deployment protocol.

  Returns:
    The twoPhase value
  Since:
    7.0.0.0
  See Also:
    `DeployerRuntimeMBean`
  Default value:
    ApplicationMBean.TWOPHASE_DEFAULT
  A dynamic MBean attribute.

### lookupConnectorComponent

    public ConnectorComponentMBean lookupConnectorComponent(String name)

  Deprecated.
  Parameters:
    `name` -
  Returns:
    ConnectorComponent object

### lookupEJBComponent

    public EJBComponentMBean lookupEJBComponent(String name)

  Deprecated.
  Parameters:
    `name` -
  Returns:
    EJBComponent object

### lookupWebServiceComponent

    public WebServiceComponentMBean lookupWebServiceComponent(String name)

  Deprecated.
  Parameters:
    `name` -
  Returns:
    WebServiceComponent object

### setAltDescriptorPath

    public void setAltDescriptorPath(String value)

  Deprecated.

  Sets the value of the StandardDescriptorPath attribute.

  Parameters:
    `value` - The new standardDescriptorPath value
  See Also:
    `getAltDescriptorPath()`

### setAltWLSDescriptorPath

    public void setAltWLSDescriptorPath(String value)

  Deprecated.

  Sets the value of the WebLogicDescriptorPath attribute.

  Parameters:
    `value` - The new webLogicDescriptorPath value
  See Also:
    `getAltWLSDescriptorPath()`

### setDeploymentTimeout

    public void setDeploymentTimeout(int timeInMillis)

  Deprecated. 9.0.0.0 Replaced by `DeploymentOptions.setClusterDeploymentTimeout(int)` ()}

  Sets the value of the DeploymentTimeout attribute

  Parameters:
    `timeInMillis` - The new deploymentTimeout value
  See Also:
    `getDeploymentTimeout()`

### setDeploymentType

    public void setDeploymentType(String deploymentType)

  Deprecated.

  Sets the value of the DeploymentType attribute.

  Parameters:
    `deploymentType` - The new deploymentType value
  See Also:
    `getDeploymentType()`

### setLoadOrder

    public void setLoadOrder(int order)

  Deprecated.

  Sets the value of the LoadOrder attribute.

  Parameters:
    `order` - The new loadOrder value
  See Also:
    `getLoadOrder()`

### setPath

    public void setPath(String path)
                 throws weblogic.management.ManagementException,
                        InvalidAttributeValueException

  Deprecated.

  Sets the value of the Path attribute.

  Parameters:
    `path` - The new path value
  Throws:
    `InvalidAttributeValueException`
    `weblogic.management.ManagementException` - if path is invalid
  See Also:
    `getPath()`

### setStagingMode

    public void setStagingMode(String mode)
                        throws weblogic.management.ManagementException

  Deprecated.

  Sets the value of the Staging Mode attribute.

  Parameters:
    `mode` - The new stagingMode value
  Throws:
    `weblogic.management.ManagementException`
    `weblogic.management.ManagementException` - if staging has already been established for this application.
  See Also:
    `getStagingMode()`

### setTwoPhase

    public void setTwoPhase(boolean mode)

  Deprecated. Has no effect

  Parameters:
    `mode` - The new twoPhase value
  Since:
    7.0.0.0

### staged

    public boolean staged(String server)

  Deprecated.

  Convenience method for determining whether this application is currently staged on a particular server.

  Parameters:
    `server` -
  Returns:
  Since:
    7.0.0.0

### stagingEnabled

    public boolean stagingEnabled(String server)

  Deprecated.

  Convenience method for determining whether this application is to be staged on a particular server.

  Parameters:
    `server` -
  Returns:
  Since:
    7.0.0.0

### useStagingDirectory

    public boolean useStagingDirectory(String server)

  Deprecated. 9.0.0.0

  Convenience method for determining where the file will be loaded from on the managed servers.

  Parameters:
    `server` -
  Returns:
  Since:
    7.0.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD